# LanguageSourceSet

API Documentation: | `LanguageSourceSet`

Note: This class is incubating and may change in a future version of Gradle.

A set of sources for a programming language.

### Properties

Property | Description
`source` | Incubating The source files.

### Property details

#### `SourceDirectorySet` `source` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The source files.

### Script blocks

No script blocks

### Methods

Method | Description
`source(config)` | Incubating Configure the sources

### Method details

#### `void` `source`(``Action`<? super `SourceDirectorySet`>` config)

Note: This method is incubating and may change in a future version of Gradle.

Configure the sources